TCTMTTEST(1)

NAME
tctmttest - test cases of the table database API

DESCRIPTION

The command `tctmttest' is a utility for facility test under multi-thread situation. This command is used in the following format. `path' specifies the path of a database file. `tnum' specifies the number of running threads. `rnum' specifies the number of iterations. `bnum' specifies the number of buckets. `apow' specifies the power of the alignment. `fpow' specifies the power of the free block pool.

    tctmttest write [-tl] [-td|-tb|-tt|-tx] [-rc num] [-lc num] [-nc num] [-xm num] [-df num] [-ip] [-is] [-in] [-it] [-if] [-ix] [-nl|-nb] [-rnd] path tnum rnum [bnum [apow [fpow]]]
        Store records with columns "str", "num", "type", and "flag".
    tctmttest read [-rc num] [-lc num] [-nc num] [-xm num] [-df num] [-nl|-nb] [-rnd] path tnum
        Retrieve all records of the database above.
    tctmttest remove [-rc num] [-lc num] [-nc num] [-xm num] [-df num] [-nl|-nb] [-rnd] path tnum
        Remove all records of the database above.
    tctmttest wicked [-tl] [-td|-tb|-tt|-tx] [-nl|-nb] path tnum rnum
        Perform updating operations selected at random.
    tctmttest typical [-tl] [-td|-tb|-tt|-tx] [-rc num] [-lc num] [-nc num] [-xm num] [-df num] [-nl|-nb] [-rr num] path tnum rnum [bnum [apow [fpow]]
        Perform typical operations selected at random.

Options feature the following.

    -tl : enable the option `TDBTLARGE'.
    -td : enable the option `TDBTDEFLATE'.
    -tb : enable the option `TDBTBZIP'.
    -tt : enable the option `TDBTTCBS'.
    -tx : enable the option `TDBTEXCODEC'.
    -rc num : specify the number of cached records.
    -lc num : specify the number of cached leaf pages.
    -nc num : specify the number of cached non-leaf pages.
    -xm num : specify the size of the extra mapped memory.
    -df num : specify the unit step number of auto defragmentation.
    -ip : create the number index for the primary key.
    -is : create the string index for the column "str".
    -in : create the number index for the column "num".
    -it : create the string index for the column "type".
    -if : create the token inverted index for the column "flag".
    -ix : create the q-gram inverted index for the column "text".
    -nl : enable the option `TDBNOLCK'.
    -nb : enable the option `TDBLCKNB'.
    -rnd : select keys at random.
    -nc : omit the comparison test.
    -rr num : specify the ratio of reading operation by percentage.

This command returns 0 on success, another on failure.

SEE ALSO

tcttest(1), tctmgr(1), tctdb(3), tokyocabinet(3)